Publish all pending artifact changes
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/publish-all/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/publish-all/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/publish-all/ \
--header 'Authorization: Bearer <token>'{
"published_count": 123
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}{
"error": "Not found."
}Artifacts
Publish all pending artifact changes
Publishes the head version of every in-scope artifact whose head is not already published. Only valid when the project’s artifact_publish_mode is manual_publish. Requires admin permissions.
POST
/
projects
/
{project_id}
/
artifacts
/
publish-all
/
Publish all pending artifact changes
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/publish-all/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/publish-all/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/publish-all/ \
--header 'Authorization: Bearer <token>'{
"published_count": 123
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}{
"error": "Not found."
}